import java.io.BufferedReader;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;
import java.io.PrintWriter;
import java.util.Collections;
import java.util.LinkedList;


public class Lecture {

	public static void main(String[] args){
		File fichierScore = new File(args[0]);
		FileReader lecteurFichier = null;
		try {
			lecteurFichier = new FileReader(fichierScore);
		} catch (FileNotFoundException e) {
			e.printStackTrace();
		}
		BufferedReader br = new BufferedReader(lecteurFichier);
		
		LinkedList<Score> listeScores = new LinkedList<Score>();
		String ligneCourante = null;
		String tableauCourant[];
		String nomCourant;
		int scoreCourant;
		
		do{
			try {
				ligneCourante = br.readLine();
			} catch (IOException e) {
				e.printStackTrace();
			}
			if(ligneCourante != null){
				tableauCourant = ligneCourante.split(":", 2);
				nomCourant = tableauCourant[0];
				scoreCourant = Integer.parseInt(tableauCourant[1]);
				
				listeScores.add(new Score(nomCourant , scoreCourant));
			}
		}while(ligneCourante != null);
		
		System.out.println(listeScores.toString());
		try {
			br.close();
		} catch (IOException e) {
			e.printStackTrace();
		}
		
		Collections.sort(listeScores);
		
		System.out.println(listeScores.toString());
		
		PrintWriter pr = null;
		try {
			pr = new PrintWriter("scoresInverses.txt");
		} catch (FileNotFoundException e) {
			e.printStackTrace();
		}
		
		for(Score sc : listeScores){
			pr.print(sc.nomDuSportif + ":" + sc.performance);
			pr.println();
		}
		
		Collections.sort(listeScores, new ComparateurScoreInverse());
		System.out.println(listeScores.toString());
		
		pr.close();
		
	}

}
